#if !defined(_DGMRESBLASLAPACK_C_H)
#define _DGMRESBLASLAPACK_C_H

#if !defined(PETSC_USE_COMPLEX)
# if defined(PETSC_USE_SCALAR_SINGLE)
#  define LAPACKhseqr_ shseqr
#  define LAPACKhgeqz_ shgeqz
#  define LAPACKgerfs_ sgerfs
#  define LAPACKgges_ sgges
# else
#  define LAPACKhseqr_ dhseqr
#  define LAPACKhgeqz_ dhgeqz
#  define LAPACKgerfs_ dgerfs
#  define LAPACKgges_ dgges
# endif
# else
# if defined(PETSC_USE_SCALAR_SINGLE)
#  define LAPACKhseqr_ chseqr
#  define LAPACKhgeqz_ chgeqz
#  define LAPACKgerfs_ cgerfs
#  define LAPACKgges_ cgges
# else
#  define LAPACKhseqr_ zhseqr
#  define LAPACKhgeqz_ zhgeqz
#  define LAPACKgerfs_ zgerfs
#  define LAPACKgges_ zgges
# endif
#endif

#endif
