#if !defined(_DGMRESBLASLAPACK_CAPS_H)
#define _DGMRESBLASLAPACK_CAPS_H

#if !defined(PETSC_USE_COMPLEX)
# if defined(PETSC_USE_SCALAR_SINGLE)
#  define LAPACKhseqr_ SHSEQR
#  define LAPACKhgeqz_ SHGEQZ
#  define LAPACKgerfs_ SGERFS
#  define LAPACKgges_ SGGES
# else
#  define LAPACKhseqr_ DHSEQR
#  define LAPACKhgeqz_ DHGEQZ
#  define LAPACKgerfs_ DGERFS
#  define LAPACKgges_ DGGES
# endif
# else
# if defined(PETSC_USE_SCALAR_SINGLE)
#  define LAPACKhseqr_ CHSEQR
#  define LAPACKhgeqz_ CHGEQZ
#  define LAPACKgerfs_ CGERFS
#  define LAPACKgges_ CGGES
# else
#  define LAPACKhseqr_ ZHSEQR
#  define LAPACKhgeqz_ ZHGEQZ
#  define LAPACKgerfs_ ZGERFS
#  define LAPACKgges_ ZGGES
# endif
#endif

#endif
