#if !defined(_DGMRESBLASLAPACK_USCORE_H)
#define _DGMRESBLASLAPACK_USCORE_H

#if !defined(PETSC_USE_COMPLEX)
# if defined(PETSC_USE_SCALAR_SINGLE)
#  define LAPACKhseqr_ shseqr_
#  define LAPACKhgeqz_ shgeqz_
#  define LAPACKgerfs_ sgerfs_
#  define LAPACKgges_ sgges_
# else
#  define LAPACKhseqr_ dhseqr_
#  define LAPACKhgeqz_ dhgeqz_
#  define LAPACKgerfs_ dgerfs_
#  define LAPACKgges_ dgges_
# endif
# else
# if defined(PETSC_USE_SCALAR_SINGLE)
#  define LAPACKhseqr_ chseqr_
#  define LAPACKhgeqz_ chgeqz_
#  define LAPACKgerfs_ cgerfs_
#  define LAPACKgges_ cgges_
# else
#  define LAPACKhseqr_ zhseqr_
#  define LAPACKhgeqz_ zhgeqz_
#  define LAPACKgerfs_ zgerfs_
#  define LAPACKgges_ zgges_
# endif
#endif

#endif
